if(dev.cur() <= 1) get(getOption("device"))()

opar <- par(ask = interactive() &&
            (.Device %in% c("X11", "GTK", "windows","quartz")))
# For source

data(hyper)

summary(hyper)

plot(hyper)

plot.missing(hyper)
plot.missing(hyper,reorder=TRUE)
plot.map(hyper)

hyper<-drop.nullmarkers(hyper)
totmar(hyper)

hyper<-est.rf(hyper)
plot.rf(hyper)
plot.rf(hyper,chr=c(1,4))

newmap<-est.map(hyper,error.prob=0.01,trace=TRUE)
plot.map(hyper,newmap)
hyper <- replace.map(hyper,newmap)

hyper <- calc.genoprob(hyper,step=2.5,error.prob=0.01)
hyper <- sim.geno(hyper,step=2.5,n.draws=64,error.prob=0.01)
hyper <- argmax.geno(hyper,error.prob=0.01)

hyper <- calc.errorlod(hyper, error.prob=0.01)
plot.errorlod(hyper)
top.errorlod(hyper)
plot.errorlod(hyper,chr=c(4,11,16))

out.em<-scanone(hyper)
out.hk<-scanone(hyper,method="hk")
out.imp<-scanone(hyper,method="imp")

plot(out.em)
plot(out.hk,col="blue",add=TRUE)
plot(out.imp,col="red",add=TRUE)
plot(out.hk,out.imp,out.em,chr=c(1,4),lty=1,col=c("blue","red","black"))

summary(out.em)
summary(out.em,3)
summary(out.hk,3)
summary(out.imp,3)


max(out.em)
max(out.hk)
max(out.imp)

operm.hk <- scanone(hyper,method="hk",n.perm=100)
quantile(operm.hk,0.95)

hyper.coarse <- calc.genoprob(hyper,step=10,err=0.01)
hyper.coarse <- sim.geno(hyper,step=10,n.draws=64,err=0.01)

out2.hk=scantwo(hyper.coarse,method="hk")
out2.em=scantwo(hyper.coarse)
out2.imp=scantwo(hyper.coarse,method="imp")

summary(out2.em,c(8,3,3))
summary(out2.em,c(0,1000,4))
summary(out2.em,c(0,4,1000))

max(out2.em)

operm <- scantwo(hyper.coarse,method="hk",a.perm=100)
apply(operm2,2,quantile, 0.95)
hist(operm.hk,breaks=20)


